API 目录

OpenAI 查询任务

GET
/v1/videos/{id}

查询视频任务

GET /videos/{id}

查询指定视频生成任务的当前状态与任务详情。该接口适用于轮询异步视频生成任务,直到任务进入完成、失败或其他终态。

基础地址:

https://www.vortapapi.com/v1

完整请求地址示例:

https://www.vortapapi.com/v1/videos/{id}

路径参数

名称类型必填说明
idstring要查询的视频任务 ID。

请求头

名称必填说明
Content-Type请求内容类型,通常为 application/json
Accept期望的响应格式,通常为 application/json
AuthorizationAPI 鉴权信息。推荐使用 Bearer sk-***
X-Forwarded-Host转发主机信息,通常仅在代理或网关场景下使用。

请求示例

curl https://www.vortapapi.com/v1/videos/sora-2:task_01k6x15vhrff09dkkqjrzwhm60 \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer sk-***"

响应示例

{
  "id": "sora-2:task_01k6x15vhrff09dkkqjrzwhm60",
  "detail": {
    "id": "task_01k6x15vhrff09dkkqjrzwhm60",
    "input": {
      "size": "small",
      "model": "sy_ore",
      "images": [
        "https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
        "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png"
      ],
      "prompt": "make animate",
      "orientation": "portrait"
    },
    "status": "pending",
    "pending_info": {
      "id": "task_01k6x15vhrff09dkkqjrzwhm60",
      "seed": null,
      "type": "video_gen",
      "user": "user-a1sGDUIOXV32hNITe59LEkHa",
      "model": "sy_8",
      "title": "New Video",
      "width": 352,
      "height": 640,
      "prompt": "make animate",
      "sdedit": null,
      "status": "processing",
      "actions": null,
      "guidance": null,
      "n_frames": 450,
      "priority": 2,
      "operation": "simple_compose",
      "preset_id": null,
      "created_at": "2025-10-06T15:10:26.875729Z",
      "n_variants": 1,
      "project_id": null,
      "request_id": null,
      "generations": [],
      "tracking_id": null,
      "progress_pct": 0.9302178175176704,
      "remix_config": null,
      "inpaint_items": [
        {
          "type": "image",
          "preset_id": null,
          "crop_bounds": null,
          "frame_index": 0,
          "cameo_file_id": null,
          "generation_id": null,
          "upload_media_id": "media_01k6x15tnzezbst05sth2qgd8r",
          "source_end_frame": 0,
          "uploaded_file_id": null,
          "source_start_frame": 0
        },
        {
          "type": "image",
          "preset_id": null,
          "crop_bounds": null,
          "frame_index": 0,
          "cameo_file_id": null,
          "generation_id": null,
          "upload_media_id": "media_01k6x15tzafwztz74t018v3enw",
          "source_end_frame": 0,
          "uploaded_file_id": null,
          "source_start_frame": 0
        }
      ],
      "interpolation": null,
      "is_storyboard": null,
      "failure_reason": null,
      "organization_id": null,
      "moderation_result": {
        "code": null,
        "type": "passed",
        "task_id": "task_01k6x15vhrff09dkkqjrzwhm60",
        "is_output_rejection": false,
        "results_by_frame_index": {}
      },
      "needs_user_review": false,
      "queue_status_message": null,
      "progress_pos_in_queue": null,
      "num_unsafe_generations": 0,
      "estimated_queue_wait_time": null
    }
  },
  "status": "pending",
  "status_update_time": 1759763621142
}

响应字段说明

字段类型说明
idstringVortap 返回的视频任务标识。
detailobject任务的详细信息。
detail.idstring底层任务 ID。
detail.inputobject创建任务时提交的输入参数。
detail.statusstring当前任务状态,例如 pending
detail.pending_infoobject当任务仍在排队或处理中时返回的详细进度信息。
statusstring查询结果中的任务状态摘要。
status_update_timeinteger状态更新时间,通常为毫秒级时间戳。

状态说明

常见状态包括:

状态说明
pending任务仍在等待或处理中。
processing任务正在生成中,通常出现在 pending_info.status 中。
completed任务已完成,可获取生成结果。
failed任务生成失败,可查看失败原因字段。

实际返回字段可能会随模型、任务类型和任务状态不同而变化。建议客户端根据 status 字段进行轮询,并在任务到达终态后停止查询。